PKEYPARAM(1) | OpenSSL | PKEYPARAM(1)

# NAME

pkeyparam - public key algorithm parameter processing tool

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

openssl pkeyparam [ -in filename] [ -out filename] [ -text] [ -noout] [ -engine id]

# DESCRIPTION

The pkey command processes public or private keys. They can be converted between various forms and their components printed out.

# COMMAND OPTIONS

-in filename
  This specifies the input filename to read parameters from or standard input if this option is not specified.

-out filename
  This specifies the output filename to write parameters to or standard output if this option is not specified.

-text
  prints out the parameters in plain text in addition to the encoded version.

-noout
  do not output the encoded version of the parameters.

-engine id
  specifying an engine (by its unique id string) will cause pkeyparam to attempt to obtain a functional reference to the specified engine, thus initialising it if needed. The engine will then be set as the default for all available algorithms.

# EXAMPLE

Print out text version of parameters:

     openssl pkeyparam -in param.pem -text

# NOTES

There are no -inform or -outform options for this command because only PEM format is supported because the key type is determined by the PEM headers.

# SEE ALSO

genpkey(1), openssl_rsa(1), openssl_pkcs8(1), openssl_dsa(1), openssl_genrsa(1), openssl_gendsa(1)

2009-07-19 | 1.0.2k